package com.sourcetohtml;

import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Generates HTML detail for a directory file type
 * The HTML will have links to all files in the directory
 * @author jcelak
 */
public class DirectoryDetailGenerator extends FileDetailGenerator{
	
	public String getHTML(File dir, File root)
	{
		String result =  "<table><tr><th>Name</th><th>Size</th><th>Last Modified</th>";
		for (File f : dir.listFiles())
		{
			result += "<tr><td><a href=\""+f.getName()+(f.isDirectory()?"/index.html":".html") + "\">"+f.getName()+"</a></td><td>"+f.length()+"</td><td>"+SimpleDateFormat.getInstance().format(new Date(f.lastModified()))+"</td></tr>";
		}
		return result + "</table>";
	}
		
	public File getOutputFile(File output)
	{
		return new File(output, "index.html");
	}

}
