package com.sourcetohtml;

import java.io.File;

/**
 * abstract class that needs to be subclassed
 * by all file types  
 * @author jcelak
 */
public abstract class FileDetailGenerator {
	
	/**
	 * returns HTML representation of the file
	 * @param input File that should be transformed
	 * @param root root folder of current generation process
	 * @return HTML representation of the file
	 */
	public abstract String getHTML(File input, File root);
	
	/**
	 * returns where the generated HTML will be stored
	 * @param output name of the copied file
	 * @return where the generated HTML will be stored
	 */
	public File getOutputFile(File output)
	{
		return new File(output.getAbsolutePath() + ".html");
	}
}
