package com.sourcetohtml;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

/**
 * various file utility methods
 * @author jcelak
 */
public class FileUtils {
	
	public static String readStream(InputStream inS)
	{
		BufferedReader in = null;
		String result = "";
		try {
			in = new BufferedReader(new InputStreamReader(inS));
			String line = in.readLine();
			while (line != null) {
				result += line + "\n";
				line = in.readLine();	
			}
			return result;
		} catch (Exception e)
		{
			throw new RuntimeException("Unable to read stream " + e.getMessage(), e);
		}
		finally
		{
			if (in != null) try {in.close();} catch (IOException e){}
		}
	}
	
	public static void saveFile(String content, File f)
	{
		f.getParentFile().mkdirs();
		FileWriter out = null;
		try {
			out = new FileWriter(f);
			out.write(content);
		} catch (IOException e) {
			throw new RuntimeException("Unable to read stream " + f.getAbsolutePath(), e);
		} finally
		{
			if (out != null) try {out.close();}catch (IOException e) {}
		}
	}
	
	public static void copyFile(File in, File out) throws IOException {
	    copyFile(new FileInputStream(in),out);
	  }


	public static void copyFile(InputStream fis, File out) 
    throws IOException 
	{
	    FileOutputStream fos = new FileOutputStream(out);
	    try {
	        byte[] buf = new byte[1024];
	        int i = 0;
	        while ((i = fis.read(buf)) != -1) {
	            fos.write(buf, 0, i);
	        }
	    } 
	    catch (IOException e) {
	        throw e;
	    }
	    finally {
	        if (fis != null) fis.close();
	        if (fos != null) fos.close();
	    }
	}
}
