package com.sourcetohtml;

import java.io.File;

/**
 * Command line program to call the application
 * @author jcelak
 */
public class Runner {
	public static void main(String arg[]) throws Exception
	{
		if (arg.length != 2)
		{
			System.out.println("Usage: java " + Runner.class.getName() + " input_file_or_folder output_file_or_folder");
			return;
		}
		File inputFile = new File(arg[0]);
		if (!inputFile.exists())
		{
			System.err.println(inputFile.getAbsolutePath() + " does not exist");
			return;
		}
		File outputDir = new File(arg[1]);
		FolderIterator fi = new FolderIterator(inputFile,outputDir);
		fi.generate();
	}
	
	
}
